﻿$ErrorActionPreference = 'Stop'

$toolsPath   = Split-Path $MyInvocation.MyCommand.Definition
$download_dir = "$Env:TEMP\chocolatey\$packageName\$Env:ChocolateyPackageVersion"

$packageArgs = @{
  packageName    = 'universal-ctags'
  url            = 'https://github.com/universal-ctags/ctags-win32/releases/download/2022-04-12/p5.9.20220410.0-22-g2f69ee90/ctags-2022-04-12_p5.9.20220410.0-22-g2f69ee90-x86.zip'
  url64Bit       = 'https://github.com/universal-ctags/ctags-win32/releases/download/2022-04-12/p5.9.20220410.0-22-g2f69ee90/ctags-2022-04-12_p5.9.20220410.0-22-g2f69ee90-x64.zip'
  checksum       = '7355C7B527A0A630D146D19B62A035933EF1816FCBF18DC1E61833D846A657A0'
  checksum64     = '9E8C30929A5A9471B37AE764C6B644C2287B5CCBF860CD3FB3453414F524D598'
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  unzipLocation  = $toolsPath
}
Install-ChocolateyZipPackage @packageArgs
